<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SubEntity.html">SubEntity</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::SubEntity Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a8e00545c24b8ca8674aeec00567ce4cd">_getBuffersMarkedForAnimation</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a887198a3e8501f07a5b6dd086b5ba411">_getHardwareVertexAnimVertexData</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a9213e1f430e42fb2bb0036aaf7b0e0ff">_getSkelAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a2f83c08c87cde1040e4cae80b366db17">_getSkelAnimVertexData</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ace215b4410fbe1f61cc5dddd16b1b640">_getSoftwareVertexAnimVertexData</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a87ac0cef9d027c49ba2f2d55bdbb1af6">_getVertexAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#abed92cd6152d752dccb46b4ef7a2874f">_invalidateCameraCache</a>()</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#abfacde2f50e8517cf3c8b9a2936ca0a4">_markBuffersUnusedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a28e52e17dfbd6b8136e567c4ce113a46">_markBuffersUsedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#af3c5cfa9d26265b80850ef11fbcb9281">_restoreBuffersForUnusedAnimation</a>(bool hardwareAnimation)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a271214f0a12235cbd2ced91f9f2d28d3">_updateCustomGpuParameter</a>(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a614439ccac0344926adc4c0165d64060">Entity</a> class</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a5ae272c24e46eee8264303694c861a7f">getCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#afec0d041841e85ce49b515c22f34dc4a">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a093781afef6332ef21fb05dd7818ecae">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a80697bf815e1c89668ce771b30db0176">getMaterialName</a>() const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a487d0eb60081f28c8a347ac8d036a133">getNumWorldTransforms</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a1b3670ec0b19ba7b876fb53634a666cf">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a816f4c356b83e1b4f9d6e3058d5ee9dd">getRenderOperation</a>(RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#aaf6a28eb3cd235c1097ed2bf409d657d">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a595e8a69806f1814e52094152fe952d5">getRenderQueuePriority</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a3da8b6c45259fc0b6ed7b93e3044464c">getRenderSystemData</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ac01490b3b6d938bf20f7fd2c62fe7151">getSquaredViewDepth</a>(const Camera *cam) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#abc51afcecd7d01b4035af900988f7ccb">getSubMesh</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#aa03a93d06b05ab2c0064ec41dcdd05e4">getTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ab6c834f05d7ad973e22ef726461cfb18">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ab323ad1058e8a5b1a9863f5b97d3f2ad">getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a7f66badeb04042640ae9eafb6b248dc9">getVertexDataForBinding</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a5f07c8b73ea37bf109ed0d9eeacca843">getWorldTransforms</a>(Matrix4 *xform) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a1a5dee72d381a14b4af08754b10038ed">hasCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#aed08bf8764a638504731d8513409dbdb">isRenderQueueGroupSet</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#af40442c9d7f4865581e648d7d1b0e3c5">isRenderQueuePrioritySet</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a69f02cb2a8ae663bcbbd5a608c7e01a5">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a0cafd29d50d9f2dd1cd7201f96b742b5">mCachedCamera</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a583d2a382488261388c88264cc5dd5eb">mCachedCameraDist</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a4527fcf72f8fd40d66c0eaf9b7aaf978">mHardwarePoseCount</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#add80eca6e17aaafeff9a5a913f00e641">mHardwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#aa6233df10e0b5b0d3eeedc6035381768">mMaterial</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a151ff07c40ae1063e1336b8637ca4bd2">mMaterialLodIndex</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a1414ab7a758f77b4c59d125f2e299125">mMaterialName</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#aa96672e40c650856388969f3f3e568a3">mParentEntity</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#aeff2d5dc1d14100aad841ed863ced56c">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a794842baa996d0e7ff2cced1677a7cd1">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a6c87a898afeeaf1fea806dcda5b1faaa">mRenderQueuePriority</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a7a553a38264bc81e778e74abd0ac3769">mRenderQueuePrioritySet</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a04ee4d7ea24443e1caee62c99add7956">mRenderSystemData</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a232dcbeb184aad2f6b415d7548c93d38">mSkelAnimVertexData</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#abbd853a7c3319feadedc09a3874fdf7e">mSoftwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a1576543e6cdc3cafb75b91f8035612ef">mSubMesh</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a4c17cfd5eae6cecf9d601e367efd34cc">mTempSkelAnimInfo</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a6191ebd40cd698d1bf68800c37a0aff4">mTempVertexAnimInfo</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#aadd56839affa1bd19ac783fe98a08d90">mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ae4b715172cc5ab8c59a655ba3d8ce1b7">mVertexAnimationAppliedThisFrame</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ae873abec94f7c3de277486de75ff969a">mVisible</a></td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a77230eea8136b7c296cc0a5db1dba9ee">postRender</a>(SceneManager *sm, RenderSystem *rsys)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#aad20e06a4d46cfd9f935f71184f88ba5">prepareTempBlendBuffers</a>(void)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#afcbf4cb36d5911a9d40a40c57e94f23b">preRender</a>(SceneManager *sm, RenderSystem *rsys)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a0c726a0326e8a7d9e80d030541b6bddf">removeCustomParameter</a>(size_t index)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#aed186856b59bf967f3188bfa70546957">Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a284464b0561a6f2915f04b0245b987f0">SceneManager</a> class</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a>(size_t index, const Vector4 &amp;value)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a303f3e6f95548969f94270e20ca2a01d">setMaterial</a>(const MaterialPtr &amp;material)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ab8af6685128c68a5d7863bb5238ebc0f">setMaterialName</a>(const String &amp;name, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a>(bool override)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a0fff0b5b640b338ca8086ebda450ac65">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ab2cec2d756ba180a7398d21d5d6200d1">setRenderQueueGroupAndPriority</a>(uint8 queueID, ushort priority)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#af52784d34aa33c54516292a341058041">setRenderSystemData</a>(RenderSystemData *val) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a>(bool useIdentityProjection)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614">setUseIdentityView</a>(bool useIdentityView)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a75d842d22f196a307dec5a068709706b">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#a126bc7db2fbed53d29831b78e2fab4aa">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#ab170b7ab04804116e1cf13163d5cb8c9">SubEntity</a>(Entity *parent, SubMesh *subMeshBasis)</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ae5a6101851f1e45229f7b4bc20a69815">~Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SubEntity.html#adadca3b165a3d94d4160b51ac1029fb8">~SubEntity</a>()</td><td><a class="el" href="classOgre_1_1SubEntity.html">Ogre::SubEntity</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
